## openjdk-lts 11.0.20.1+1

=== debian/changelog ===
openjdk-lts (11.0.20.1+1-0ubuntu1~20.04) focal-security; urgency=medium

  * Upload to Ubuntu 20.04.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Fri, 25 Aug 2023 10:32:31 +1200

openjdk-lts (11.0.20.1+1-0ubuntu1) mantic; urgency=medium

  * OpenJDK 11.0.20.1 release, build 1.
    - REGRESSION UPDATE: 8313765: Invalid CEN header (invalid zip64 extra data
      field size) (LP: #2032865).
  * d/t/jtreg-autopkgtest.{sh,in}: JDK-8232153 - set NSS_DEFAULT_DB_TYPE
    to let sun/security/pkcs11/Secmod/AddTrustedCert.java pass.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Thu, 24 Aug 2023 11:22:16 +1200

=== debian/control ===
Source: openjdk-lts
Section: java
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: OpenJDK Team <openjdk@lists.launchpad.net>
Uploaders: Matthias Klose <doko@ubuntu.com>
Build-Depends: debhelper (>= 11),
  m4, lsb-release, zip, unzip,
  sharutils, gawk, cpio, pkg-config, procps, wdiff, fastjar (>= 2:0.96-0ubuntu2),
  time, strip-nondeterminism, 
  jtreg6 (>= 6+1-0~) <!nocheck>, libtestng7-java <!nocheck>, xvfb <!nocheck>, xauth <!nocheck>, xfonts-base <!nocheck>, libgl1-mesa-dri [!x32] <!nocheck>, xfwm4 <!nocheck>, x11-xkb-utils <!nocheck>, dbus-x11 <!nocheck>, libasmtools-java <!nocheck>, googletest <!nocheck>, google-mock <!nocheck>, xvfb  <!nocheck>,
  autoconf, automake, autotools-dev, ant, ant-optional,
  g++-9 <!cross>,
  openjdk-11-jdk-headless:native | openjdk-10-jdk-headless:native,
  libxtst-dev, libxi-dev, libxt-dev, libxaw7-dev, libxrender-dev, libcups2-dev, libasound2-dev, liblcms2-dev, libfreetype6-dev (>= 2.2.1), libxinerama-dev, libkrb5-dev, xsltproc, libpcsclite-dev, libxrandr-dev, libelf-dev, libfontconfig1-dev, libgtk2.0-0 | libgtk-3-0, libharfbuzz-dev,
  libffi-dev,
  zlib1g-dev:native, zlib1g-dev, libattr1-dev, libpng-dev, libjpeg-dev, libgif-dev, 
  libnss3-dev (>= 2:3.17.1),
  openjdk-11-jdk-headless <cross>,
Build-Depends-Indep: graphviz, pandoc,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://openjdk.java.net/
Vcs-Browser: https://git.launchpad.net/~openjdk/ubuntu/+source/openjdk/+git/openjdk/log/?h=openjdk-lts/ubuntu/hirsute
Vcs-Git: https://git.launchpad.net/~openjdk/ubuntu/+source/openjdk/+git/openjdk -b openjdk-lts/ubuntu/hirsute

Package: openjdk-11-jdk-headless
Architecture: alpha amd64 armel armhf arm64 i386 ia64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32
Multi-Arch: same
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-11-jre-headless (= ${binary:Version}),
  ${shlibs:Depends}, ${misc:Depends}
Suggests: openjdk-11-demo, openjdk-11-source
Provides: java-sdk-headless (= ${vm:Version}), java2-sdk-headless,
  java5-sdk-headless, java6-sdk-headless,
  java7-sdk-headless, java8-sdk-headless,
  java9-sdk-headless, java10-sdk-headless,
  java11-sdk-headless, java-compiler
Breaks: openjdk-11-jre-headless (<< 11.0.11+3-2~)
Replaces: openjdk-11-jre-headless (<< 11.0.11+3-2~)
Description: OpenJDK Development Kit (JDK) (headless)
 OpenJDK is a development environment for building applications,
 applets, and components using the Java programming language.

Package: openjdk-11-jre-headless
Architecture: alpha amd64 armel armhf arm64 i386 ia64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32
Multi-Arch: same
Pre-Depends: ${dpkg:Depends}
Depends: ${jredefault:Depends}, ${cacert:Depends},
  ${jcommon:Depends}, ${dlopenhl:Depends},
  ${mountpoint:Depends},
  ${shlibs:Depends}, ${misc:Depends}
Recommends: ${dlopenhl:Recommends}
Suggests: libnss-mdns,
  fonts-dejavu-extra,
  fonts-ipafont-gothic, fonts-ipafont-mincho, fonts-wqy-microhei | fonts-wqy-zenhei, fonts-indic,
Provides: java-runtime-headless (= ${vm:Version}), java2-runtime-headless,
  java5-runtime-headless, java6-runtime-headless,
  java7-runtime-headless, java8-runtime-headless,
  java9-runtime-headless, java10-runtime-headless,
  java11-runtime-headless,
  ${defaultvm:Provides}, ${jvm:Provides}
Breaks: ${jrehl:Breaks}
Conflicts: oracle-java11-installer, openjdk-11-jdk-headless (<< 11~18-2)
Replaces: openjdk-11-jdk-headless (<< 11~18-2)
Description: OpenJDK Java runtime, using ${vm:Name} (headless)
 Minimal Java runtime - needed for executing non GUI Java programs,
 using ${vm:Name}.

Package: openjdk-11-jdk
Architecture: alpha amd64 armel armhf arm64 i386 ia64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32
Multi-Arch: same
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-11-jre (= ${binary:Version}),
  openjdk-11-jdk-headless (= ${binary:Version}),
  ${shlibs:Depends}, ${misc:Depends}
Recommends: libxt-dev
Suggests: openjdk-11-demo, openjdk-11-source, visualvm
Provides: java-sdk (= ${vm:Version}), java2-sdk, java5-sdk, java6-sdk,
  java7-sdk, java8-sdk, java9-sdk, java10-sdk, java11-sdk,
  java-compiler
Conflicts: openjdk-11-jre-headless (<< 11~19-2)
Replaces: openjdk-11-jre-headless (<< 11~19-2)
Description: OpenJDK Development Kit (JDK)
 OpenJDK is a development environment for building applications,
 applets, and components using the Java programming language.

Package: openjdk-11-jre
Architecture: alpha amd64 armel armhf arm64 i386 ia64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32
Multi-Arch: same
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-11-jre-headless (= ${binary:Version}),
  ${xandsound:Depends}, ${dlopenjre:Depends},
  ${shlibs:Depends}, ${misc:Depends}
Recommends: ${dlopenjre:Recommends}, ${bridge:Recommends}, fonts-dejavu-extra
Provides: java-runtime (= ${vm:Version}), java2-runtime,
  java5-runtime, java6-runtime,
  java7-runtime, java8-runtime,
  java9-runtime, java10-runtime,
  java11-runtime,
Breaks: openjdk-11-jre-headless (<< 11.0.11+3-3~)
Replaces: openjdk-11-jre-headless (<< 11.0.11+3-3~)
Description: OpenJDK Java runtime, using ${vm:Name}
 Full Java runtime environment - needed for executing Java GUI and Webstart
 programs, using ${vm:Name}.

Package: openjdk-11-demo
Architecture: alpha amd64 armel armhf arm64 i386 ia64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32
Priority: optional
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-11-jre (= ${binary:Version}),
  ${shlibs:Depends}, ${misc:Depends}
Description: Java runtime based on OpenJDK (demos and examples)
 OpenJDK Java runtime

Package: openjdk-11-source
Architecture: all
Multi-Arch: foreign
Priority: optional
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-11-jdk (>= ${source:Version}),
  ${misc:Depends}
Description: OpenJDK Development Kit (JDK) source files
 OpenJDK is a development environment for building applications,
 applets, and components using the Java programming language.
 .
 This package contains the Java programming language source files
 (src.zip) for all classes that make up the Java core API.

Package: openjdk-11-doc
Section: doc
Pre-Depends: ${dpkg:Depends}
Architecture: all
Multi-Arch: foreign
Priority: optional
Depends: ${misc:Depends}
Suggests: openjdk-11-jdk
Description: OpenJDK Development Kit (JDK) documentation
 OpenJDK is a development environment for building applications,
 applets, and components using the Java programming language.
 .
 This package contains the API documentation.

Package: openjdk-11-dbg
Architecture: alpha amd64 armel armhf arm64 i386 ia64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32
Multi-Arch: same
Priority: optional
Section: debug
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-11-jre-headless (= ${binary:Version}),
   ${misc:Depends}
Recommends: openjdk-11-jre (= ${binary:Version})
Suggests: openjdk-11-jdk (= ${binary:Version})
Conflicts: ${dbg:Conflicts}
Description: Java runtime based on OpenJDK (debugging symbols)
 OpenJDK is a development environment for building applications,
 applets, and components using the Java programming language.
 .
 This package contains the debugging symbols.

Package: openjdk-11-jre-zero
Architecture: amd64 i386 arm64 ppc64 ppc64el s390x
Multi-Arch: same
Priority: optional
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-11-jre-headless (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: ${zerovm:Provides}
Description: Alternative JVM for OpenJDK, using Zero
 The package provides an alternative runtime using the Zero VM. Built on
 architectures in addition to the Hotspot VM as a debugging aid for those
 architectures which don't have a Hotspot VM.
 .
 The VM is started with the option `-zero'. See the README.Debian for details.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

unexport LANG LC_ALL

dh_version := $(shell dpkg-query -f '$${Version}\n' -W debhelper | sed -n 's/^\(.\).*/\1/p')

# using brace expansion and substring replacements (${var:0:2}).
SHELL = /bin/bash

# use gnu time in verbose mode if available, otherwise default to the shell builtin
ifneq (,$(wildcard /usr/bin/time))
  TIME = /usr/bin/time -v
else
  TIME = time
endif

vafilt = $(subst $(2)=,,$(filter $(2)=%,$(1)))

DPKG_VARS		:= $(shell dpkg-architecture)
DEB_HOST_GNU_TYPE	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE	?= $(call vafilt,$(DPKG_VARS),DEB_BUILD_GNU_TYPE)
DEB_HOST_ARCH		?= $(call vafilt,$(DPKG_VARS),DEB_HOST_ARCH)
DEB_BUILD_ARCH		?= $(call vafilt,$(DPKG_VARS),DEB_BUILD_ARCH)
DEB_HOST_ARCH_CPU	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_ARCH_CPU)
DEB_HOST_MULTIARCH	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_MULTIARCH)

PATH := $(CURDIR)/bin:$(PATH)
export PATH

CHANGELOG_VARS := $(shell dpkg-parsechangelog | sed -n 's/ /_/g;/^[^_]/s/^\([^:]*\):_\(.*\)/\1=\2/p')
PKGSOURCE := $(call vafilt,$(CHANGELOG_VARS),Source)
PKGVERSION := $(call vafilt,$(CHANGELOG_VARS),Version)
PKGYEAR := $(shell echo $(call vafilt,$(CHANGELOG_VARS),Timestamp) | date --utc +%Y)

distribution := $(shell lsb_release --id --short)
distrel := $(shell lsb_release --codename --short)
derivative := $(shell if dpkg-vendor --derives-from Ubuntu; then echo Ubuntu; \
               elif dpkg-vendor --derives-from Debian; then echo Debian; \
               else echo Unknown; fi)
ifeq ($(distrel),n/a)
  distrel := sid
endif

ifneq (,$(filter $(distrel),precise))
  OBJCOPY := objcopy
  STRIP := strip
else
  OBJCOPY := $(DEB_HOST_GNU_TYPE)-objcopy
  STRIP := $(DEB_HOST_GNU_TYPE)-strip
endif

multiarch_dir = /$(DEB_HOST_MULTIARCH)

hotspot_archs	= amd64 i386 arm64 armhf ppc64 ppc64el sparc64 s390x
jtreg_archs	= $(hotspot_archs) alpha ia64 powerpc powerpcspe ppc64 sh4 x32
jtreg_archs	+= armel mipsel mips64el

# FIXME: use bootcycle builds for zero archs?
bootcycle_build = $(if $(filter $(DEB_HOST_ARCH), $(hotspot_archs)),yes)
zbootcycle_build =
ifneq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
  bootcycle_build =
  zbootcycle_build =
endif
ifneq (,$(filter nobootcycle, $(DEB_BUILD_OPTIONS)))
  bootcycle_build =
  zbootcycle_build =
endif

ifneq (,$(filter $(distrel),lucid precise quantal raring saucy trusty utopic vivid wily lenny etch squeeze wheezy jessie))
  is_default = no
else
  is_default = yes
endif

is_upstream_release = yes

srcdir		= .
builddir	= build
zbuilddir	= build-zero

VENDOR		= openjdk
Vendor		= OpenJDK
TOP		= usr/lib/jvm
origin		= openjdk
basename	= openjdk-$(shortver)
ifneq (,$(filter $(DEB_HOST_ARCH), $(hotspot_archs)))
  priority	= $(if $(filter yes, $(is_default)),1111,1109)
  vm_name	= Hotspot JIT
else
  priority	= $(if $(filter yes, $(is_default)),1104,1103)
  vm_name	= Hotspot Zero
endif
jvmver		= 1.11.0
shortver	= 11
v_debian	:= $(shell echo $(PKGVERSION) | sed 's/ea//' | sed 's/\~us[[:digit:]]\+//')
v_upstream	:= $(shell echo $(v_debian) | sed 's/-[^-][^-]*$$//')
v_pkgrel	:= $(shell echo $(v_debian) | sed 's/^.*-//')

ifeq (yes,$(is_upstream_release))
  v_upbase      := $(word 1, $(subst +, , $(v_upstream)))
  v_upbuild     := $(word 2, $(subst +, , $(v_upstream)))
  ifneq ($(v_debian),$(v_upbase)+$(v_upbuild)-$(v_pkgrel))
    $(error wrong version: $(v_upbase)+$(v_upbuild)-$(v_pkgrel) should be: $(v_debian))
  endif
else
  v_upbase      := $(word 1, $(subst ~, , $(v_upstream)))
  v_upbuild     := $(word 2, $(subst ~, , $(v_upstream)))
  ifneq ($(v_debian),$(v_upbase)~$(v_upbuild)-$(v_pkgrel))
    $(error wrong version: $(v_upbase)~$(v_upbuild)-$(v_pkgrel) should be: $(v_debian))
  endif
endif

ifneq (,$(DEB_HOST_MULTIARCH))
  jdirname	= java-$(shortver)-$(origin)-$(DEB_HOST_ARCH)
  jdiralias	= java-$(jvmver)-$(origin)-$(DEB_HOST_ARCH)
  basedir	= $(TOP)/$(jdirname)
  commonbasedir	= $(TOP)/java-$(shortver)-$(origin)-common
  commonbasedir	= $(basedir)
  etcdir	= etc/java-$(shortver)-$(origin)
else
  jdirname	= java-$(shortver)-$(origin)
  jdiralias	= java-$(jvmver)-$(origin)
  basedir	= $(TOP)/$(jdirname)
  commonbasedir	= $(TOP)/java-$(shortver)-$(origin)
  etcdir	= etc/$(jdirname)
endif
security	= $(etcdir)/security
ifeq ($(bootcycle_build),yes)
  sdkimg	= bootcycle-build/images/jdk
  build_target	= bootcycle-images test-image
else
  sdkimg	= images/jdk
  build_target	= images test-image
endif
ifeq ($(zbootcycle_build),yes)
  zsdkimg	= bootcycle-build/images/jdk
  zbuild_target	= bootcycle-images test-image
else
  zsdkimg	= images/jdk
  zbuild_target	= images test-image
endif

# Support parallel=<n> in DEB_BUILD_OPTIONS (see #209008)
COMMA=,
SPACE = $(EMPTY) $(EMPTY)
ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
  NJOBS = $(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
endif

jtreg_pkg = jtreg6
testng_pkg= libtestng7-java

with_check = $(if $(findstring nocheck, $(DEB_BUILD_OPTIONS)),,yes)
# see Debian #920161
ifneq (,$(filter $(DEB_HOST_ARCH), alpha))
  with_check = disabled running check on $(DEB_HOST_ARCH)
endif
# no jtreg backport yet
ifneq (,$(filter $(distrel), precise trusty xenial))
  with_check = disabled for $(distrel)
endif

with_docs = $(if $(findstring nodoc, $(DEB_BUILD_OPTIONS)),,yes)
ifneq (,$(filter $(distrel), precise trusty))
  with_docs =
endif
# with_check = disabled for this upload

with_wqy_zenhai = $(if $(filter $(distrel),lenny),,yes)

arch_map	:= alpha=alpha arm=arm armel=arm armhf=arm arm64=aarch64 amd64=amd64 hppa=parisc i386=i586 m68k=m68k mips=mips mipsel=mipsel mips64=mips64 mips64el=mips64el powerpc=ppc powerpcspe=ppc ppc64=ppc64 ppc64el=ppc64le riscv64=riscv64 sparc=sparc sparc64=sparcv9 sh4=sh s390x=s390x ia64=ia64 x32=x32

jvmarch		:= $(strip $(patsubst $(DEB_HOST_ARCH_CPU)=%, %, \
			$(filter $(DEB_HOST_ARCH_CPU)=%, $(arch_map))))
ifeq ($(DEB_HOST_ARCH),x32)
  jvmarch := x32
endif

default_vm = $(if $(filter $(DEB_HOST_ARCH), $(hotspot_archs)),hotspot,zero)

any_archs = alpha amd64 armel armhf arm64 i386 ia64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32

altzero_archs = $(hotspot_archs)
ifneq (,$(filter $(distrel),trusty))
  altzero_archs := $(filter-out arm64, $(altzero_archs))
endif
# ftbfs in 11.0.5+bx, and 13+17
altzero_archs := $(filter-out armhf, $(altzero_archs))

# FIXME: Zero currently FTBFS on sparc64 with gcc-9
altzero_archs := $(filter-out sparc64, $(altzero_archs))

ifneq (,$(filter noaltzero, $(DEB_BUILD_OPTIONS)))
  altzero_archs =
else ifneq (,$(filter $(DEB_HOST_ARCH), $(altzero_archs)))
  alternate_vms += zero
  zero_dir = zero
endif

# needed for the jexec build
export DEBIAN_JDK_BASE_DIR := /$(basedir)

BOOTJDK_HOME := $(strip $(subst /bin/javac,, $(firstword $(wildcard \
			/usr/lib/jvm/java-10-openjdk-$(DEB_BUILD_ARCH)/bin/javac \
			/usr/lib/jvm/java-11-openjdk-$(DEB_BUILD_ARCH)/bin/javac \
		))))

ifeq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
  BUILDJDK_HOME = $(CURDIR)/$(builddir)/$(sdkimg)
else
  BUILDJDK_HOME = $(BOOTJDK_HOME)
endif

# for Hotspot: hotspot/make/linux/makefiles/vm.make
# Don't overwrite Hotspot opt level :
# -O3 is already default option for hotspot

# FIXME: ftbfs with -Werror=format-security
dpkg_buildflags_hs = \
	DEB_BUILD_MAINT_OPTIONS="optimize=-lto" \
	DEB_CFLAGS_MAINT_STRIP="-O2 -Werror=format-security" \
	DEB_CXXFLAGS_MAINT_STRIP="-O2 -Werror=format-security" \
	DEB_CFLAGS_MAINT_APPEND="-fno-stack-protector -Wno-deprecated-declarations" \
	DEB_CXXFLAGS_MAINT_APPEND="-fno-stack-protector -Wno-deprecated-declarations$(if $(filter $(DEB_HOST_ARCH), armel armhf), -fpermissive)"
# jdk/make/CompileDemos.gmk (SetupJVMTIDemo) doesn't like commas in flags
dpkg_buildflags_hs += \
	DEB_LDFLAGS_MAINT_STRIP="-Wl,-z,relro -Wl,-Bsymbolic-functions" \
	DEB_LDFLAGS_MAINT_APPEND="-Xlinker -z -Xlinker relro -Xlinker -Bsymbolic-functions -Xlinker --no-as-needed"

## openjdk-lts 11.0.21+9

=== debian/changelog ===
openjdk-lts (11.0.21+9-0ubuntu1~23.04) lunar-security; urgency=medium

  * OpenJDK 11.0.21 release, build 9.
    - CVE-2023-22081.
    - Release notes:
      https://mail.openjdk.org/pipermail/jdk-updates-dev/2023-October/026351.html
  * d/source/lintian.overrides: use openjdk-lts package name.
  * Merge changes from openjdk-11 11.0.21+9-1 (LP: #2039754).
    - d/test: update problemlist.
    - d/p: drop exclude-broken-tests.patch.
    - d/p/reproducible-properties-timestamp.diff: use the privileged action
      to read the system property (JDK-8272157, 914278).
    - d/copyright: remove liblcms from excluded files.
    - d/t/jtreg-autopkgtest.{sh,in}: JDK-8232153 - set NSS_DEFAULT_DB_TYPE
      to let sun/security/pkcs11/Secmod/AddTrustedCert.java pass.

      [ Matthias Klose ]
    - Build using GCC 13 on development versions.
    - Explicitly configure --without-jtreg with the nocheck profile

      [ Pushkar Kulkarni ]
    - Handle limited ECC capabilities of NSS on older releases.

  [ Vladimir Petko ]
  * Upload to Ubuntu 23.04.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Thu, 19 Oct 2023 20:54:46 +1300

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
 Build-Depends: debhelper (>= 11),
   m4, lsb-release, zip, unzip,
   sharutils, gawk, cpio, pkg-config, procps, wdiff, fastjar (>= 2:0.96-0ubuntu2),
-  time, strip-nondeterminism, 
+  time, strip-nondeterminism, debugedit (>= 4.16),
   jtreg6 (>= 6+1-0~) <!nocheck>, libtestng7-java <!nocheck>, xvfb <!nocheck>, xauth <!nocheck>, xfonts-base <!nocheck>, libgl1-mesa-dri [!x32] <!nocheck>, xfwm4 <!nocheck>, x11-xkb-utils <!nocheck>, dbus-x11 <!nocheck>, libasmtools-java <!nocheck>, googletest <!nocheck>, google-mock <!nocheck>, xvfb  <!nocheck>,
   autoconf, automake, autotools-dev, ant, ant-optional,
-  g++-9 <!cross>,
+  g++-12 <!cross>,
   openjdk-11-jdk-headless:native | openjdk-10-jdk-headless:native,
   libxtst-dev, libxi-dev, libxt-dev, libxaw7-dev, libxrender-dev, libcups2-dev, libasound2-dev, liblcms2-dev, libfreetype6-dev (>= 2.2.1), libxinerama-dev, libkrb5-dev, xsltproc, libpcsclite-dev, libxrandr-dev, libelf-dev, libfontconfig1-dev, libgtk2.0-0 | libgtk-3-0, libharfbuzz-dev,
   libffi-dev,

=== debian/rules ===
--- 
+++ 
@@ -78,6 +78,7 @@
 endif
 
 is_upstream_release = yes
+#is_upstream_release =
 
 srcdir		= .
 builddir	= build
@@ -230,4 +231,3 @@
 # jdk/make/CompileDemos.gmk (SetupJVMTIDemo) doesn't like commas in flags
 dpkg_buildflags_hs += \
 	DEB_LDFLAGS_MAINT_STRIP="-Wl,-z,relro -Wl,-Bsymbolic-functions" \
-	DEB_LDFLAGS_MAINT_APPEND="-Xlinker -z -Xlinker relro -Xlinker -Bsymbolic-functions -Xlinker --no-as-needed"

=== debian/watch ===
version=4
opts=\
repack,\
compression=xz,\
dversionmangle=s/~\d*\~us\d*$/\+\d*/, \
 https://github.com/openjdk/jdk11u/tags \
   (?:.*?/)?jdk-(\d[\d.]*\+\d[\d]*)\.tar\.gz

## openjdk-lts 11.0.22+7

=== debian/changelog ===
openjdk-lts (11.0.22+7-0ubuntu2~20.04.1) focal-security; urgency=medium

  * No-change rebuild to correct the previous changelog entry (LP: #2050390)

  * Upload to Ubuntu 20.04

  * d/rules, d/control: Use gcc-10 on focal to work around LP: #2044899

 -- Pushkar Kulkarni <pushkar.kulkarni@canonical.com>  Sat, 20 Jan 2024 15:57:19 +0530

openjdk-lts (11.0.22+7-0ubuntu1) noble; urgency=medium

  * OpenJDK 11.0.22 release, build 7
    - CVEs:
      + CVE-2024-20918
      + CVE-2024-20919
      + CVE-2024-20921
      + CVE-2024-20945
      + CVE-2024-20952
    - Security fixes:
      + JDK-8308204: Enhanced certificate processing.
      + JDK-8314295: Enhance verification of verifier.
      + JDK-8314307: Improve loop handling.
      + JDK-8314468: Improve Compiler loops.
      + JDK-8316976: Improve signature handling.
      + JDK-8317547: Enhance TLS connection support.
      + JDK-8314284: Enhance Nashorn performance (CVE-2024-20926).
    Release notes:
      https://www.oracle.com/java/technologies/javase/11-0-22-relnotes.html#R11_0_22
  * Merge changes from openjdk-11 11.0.22+7-1 (LP: #2049715)
      [ Vladimir Petko ]
     - Generate d/watch to cope with early access and release builds.
     - d/rules: Trim trailing whitespaces from debian/control.

      [ Pushkar Kulkarni ]
     - Minor improvements to the copyright-generator.

      [ Pushkar Kulkarni ]
     - debian/copyright: Update copyrights and notices, using a generator script.

      [ Vladimir Petko ]
     - d/copyright: Fix lintian warning.

      [ Matthias Klose ]
     - d/copyright: Fix source location.

 -- Pushkar Kulkarni <pushkar.kulkarni@canonical.com>  Thu, 18 Jan 2024 13:52:07 +0530

openjdk-lts (11.0.21+9-0ubuntu1) noble; urgency=medium

  * OpenJDK 11.0.21 release, build 9.
    - CVE-2023-22081.
    - Release notes:
      https://mail.openjdk.org/pipermail/jdk-updates-dev/2023-October/026351.html
  * d/source/lintian.overrides: use openjdk-lts package name.
  * Disable jtreg tests on RISC-V due to the infrastructure issue.
  * Merge changes from openjdk-11 11.0.21+9-1 (LP: #2039754).
    - d/test: update problemlist.
    - d/p: drop exclude-broken-tests.patch.
    - d/p/reproducible-properties-timestamp.diff: use the privileged action
      to read the system property (JDK-8272157, 914278).
    - d/copyright: remove liblcms from excluded files.
    - d/t/jtreg-autopkgtest.{sh,in}: JDK-8232153 - set NSS_DEFAULT_DB_TYPE
      to let sun/security/pkcs11/Secmod/AddTrustedCert.java pass.

      [ Matthias Klose ]
    - Build using GCC 13 on development versions.
    - Explicitly configure --without-jtreg with the nocheck profile

      [ Pushkar Kulkarni ]
    - Handle limited ECC capabilities of NSS on older releases.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Thu, 26 Oct 2023 16:16:27 +1300

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,14 @@
 Build-Depends: debhelper (>= 11),
   m4, lsb-release, zip, unzip,
   sharutils, gawk, cpio, pkg-config, procps, wdiff, fastjar (>= 2:0.96-0ubuntu2),
-  time, strip-nondeterminism, debugedit (>= 4.16),
+  time, strip-nondeterminism,
   jtreg6 (>= 6+1-0~) <!nocheck>, libtestng7-java <!nocheck>, xvfb <!nocheck>, xauth <!nocheck>, xfonts-base <!nocheck>, libgl1-mesa-dri [!x32] <!nocheck>, xfwm4 <!nocheck>, x11-xkb-utils <!nocheck>, dbus-x11 <!nocheck>, libasmtools-java <!nocheck>, googletest <!nocheck>, google-mock <!nocheck>, xvfb  <!nocheck>,
   autoconf, automake, autotools-dev, ant, ant-optional,
-  g++-12 <!cross>,
+  g++-10 <!cross>,
   openjdk-11-jdk-headless:native | openjdk-10-jdk-headless:native,
   libxtst-dev, libxi-dev, libxt-dev, libxaw7-dev, libxrender-dev, libcups2-dev, libasound2-dev, liblcms2-dev, libfreetype6-dev (>= 2.2.1), libxinerama-dev, libkrb5-dev, xsltproc, libpcsclite-dev, libxrandr-dev, libelf-dev, libfontconfig1-dev, libgtk2.0-0 | libgtk-3-0, libharfbuzz-dev,
   libffi-dev,
-  zlib1g-dev:native, zlib1g-dev, libattr1-dev, libpng-dev, libjpeg-dev, libgif-dev, 
+  zlib1g-dev:native, zlib1g-dev, libattr1-dev, libpng-dev, libjpeg-dev, libgif-dev,
   libnss3-dev (>= 2:3.17.1),
   openjdk-11-jdk-headless <cross>,
 Build-Depends-Indep: graphviz, pandoc,

=== debian/rules ===
--- 
+++ 
@@ -78,7 +78,6 @@
 endif
 
 is_upstream_release = yes
-#is_upstream_release =
 
 srcdir		= .
 builddir	= build
@@ -158,7 +157,7 @@
 
 with_check = $(if $(findstring nocheck, $(DEB_BUILD_OPTIONS)),,yes)
 # see Debian #920161
-ifneq (,$(filter $(DEB_HOST_ARCH), alpha))
+ifneq (,$(filter $(DEB_HOST_ARCH), alpha riscv64))
   with_check = disabled running check on $(DEB_HOST_ARCH)
 endif
 # no jtreg backport yet

## openjdk-lts 11.0.23%2B9

=== debian/changelog ===
openjdk-lts (11.0.23+9-1ubuntu1) noble; urgency=high

  * OpenJDK 11.0.23 release, build 9.
    - CVE-2024-21011, 8319851: Improve exception logging.
    - CVE-2024-21068, 8322122: Enhance generation of addresses.
    - 8318340: Improve RSA key implementations.
    - CVE-2024-21012, 8315708: Enhance HTTP/2 client usage.
    - CVE-2024-21094, 8317507: Already fixed in November 2023:
      C2 compilation fails with "Exceeded _node_regs array".
    - CVE-2024-21085, 8322114: Improve Pack 200 handling.

  [ Pushkar Kulkarni ]
  * Use 64-bit clock_* function on archs like armhf.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Apr 2024 16:23:29 +0200

openjdk-lts (11.0.23~7ea-1ubuntu4) noble; urgency=medium

  * d/rules: disable jtreg tests due to jtreg i386 uninstallability.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Wed, 17 Apr 2024 08:28:35 +1200

openjdk-lts (11.0.23~7ea-1ubuntu3) noble; urgency=medium

  * d/patches: Use clock_*64 functions on archs like armhf
    (LP: #2059005)

 -- Pushkar Kulkarni <pushkar.kulkarni@canonical.com>  Thu, 11 Apr 2024 20:16:13 +0530

openjdk-lts (11.0.23~7ea-1ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:05:16 +1100

openjdk-lts (11.0.23~7ea-1ubuntu1) noble; urgency=medium

  * OpenJDK 11.0.23+7 build (early access).

  * Merge changes from openjdk-11 11.0.23~7-1.
    - Update cups dependencies for time_t64.
    - copyright-generator: Derive release from debian/rules.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 21 Mar 2024 02:30:11 +0100

openjdk-lts (11.0.22+7-3ubuntu1) noble; urgency=medium

  * Merge changes from openjdk-11 11.0.22+7-2.
    - Add zero support for loong64 (Leslie Zhai). Closes: #1060821.
    - d/changelog: Whitespace cleanup.
    - Update build dependency on libfontconfig-dev.
    - Apply proposed patch for JDK-8307977. Closes: #1034600.
    - d/t/jtreg-autopkgtest.*: Set jtreg home property correctly.
  * Merge changes from openjdk-11 11.0.22+7-3.
    - libcups2, libfontconfig1: Make it a recommends in jre-headless,
      a dependency in jre.
    - Make the dependencies for libfontmanager.so and libjsound.so
      recommendations in jre-headless, and dependencies in jre.
    - Drop build dependencies on libgtk2 | libgtk3.
    - Disable running the tests for the time_t64 bootstrap.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 11 Mar 2024 16:39:50 +0100

openjdk-lts (11.0.22+7-0ubuntu3) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 07:39:23 +0000

openjdk-lts (11.0.22+7-0ubuntu2) noble; urgency=medium

  * No-change rebuild to correct the previous changelog entry (LP: #2050390)

 -- Pushkar Kulkarni <pushkar.kulkarni@canonical.com>  Sat, 20 Jan 2024 15:57:19 +0530

## openjdk-lts 11.0.23+9

=== test/Makefile ===
#
# Copyright (c) 2010, 2015, Oracle and/or its affiliates. All rights reserved.
# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
#
# This code is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 2 only, as
# published by the Free Software Foundation.  Oracle designates this
# particular file as subject to the "Classpath" exception as provided
# by Oracle in the LICENSE file that accompanied this code.
#
# This code is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# version 2 for more details (a copy is included in the LICENSE file that
# accompanied this code).
#
# You should have received a copy of the GNU General Public License version
# 2 along with this work; if not, write to the Free Software Foundation,
# Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
# Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
# or visit www.oracle.com if you need additional information or have any
# questions.
#

#
# Makefile to run tests from multiple sibling directories
#

# Macro to run a test target in a subdir
define SUBDIR_TEST # subdirectory target
if [ -d $1 ] ; then \
  if [ -r $1/Makefile ] ; then \
    $(MAKE) --no-print-directory -k -C $1 $2 ; \
  else \
    echo "ERROR: File does not exist: $1/Makefile"; \
    exit 1; \
  fi; \
else \
  echo "WARNING: No testing done, directory does not exist: $1"; \
fi
endef

# Default test target (core)
default: jdk_core langtools_jtreg jaxp_all

# All testing
all: jdk_all langtools_all jaxp_all

ifeq ($(TEST_JOBS), 0)
  JDK_TEST_JOBS=$(JOBS)
else
  JDK_TEST_JOBS=$(TEST_JOBS)
endif
# Test targets
langtools_% :
	@$(NO_STOPPING)$(call SUBDIR_TEST, langtools, \
	    $(if $(JDK_TEST_JOBS), CONCURRENCY=$(JDK_TEST_JOBS)) \
	    JT_JAVA=$(PRODUCT_HOME) JTREG_HOME=$(JT_HOME) \
	    TEST="$(subst langtools_,,$@)" $(subst langtools_,,$@))

jdk_% core_%s svc_%:
	@$(NO_STOPPING)$(call SUBDIR_TEST, jdk, \
	    $(if $(JDK_TEST_JOBS), CONCURRENCY=$(JDK_TEST_JOBS)) TEST="$@" $@)

jaxp_%:
	@$(NO_STOPPING)$(call SUBDIR_TEST, jaxp, \
	    $(if $(JDK_TEST_JOBS), CONCURRENCY=$(JDK_TEST_JOBS)) TEST="$@" $@)

nashorn_%:
	@$(NO_STOPPING)$(call SUBDIR_TEST, nashorn, \
	    $(if $(JDK_TEST_JOBS), CONCURRENCY=$(JDK_TEST_JOBS)) TEST="$@" $@)

SUB_MAKE_ARGS :=
ifneq ($(TEST_JOBS), 0)
  ifneq ($(TEST_JOBS), )
    SUB_MAKE_ARGS += CONCURRENCY=$(TEST_JOBS)
  endif
endif
hotspot_%:
	@$(NO_STOPPING)$(call SUBDIR_TEST, hotspot/jtreg, $(SUB_MAKE_ARGS) TEST="$@" $@)

#
# jtreg_tests
#
# Invocation:
#
# make jtreg_tests TESTDIRS=<test-dirs> TEST_SELECTION=<path to test or jtreg group> TEST_OUTPUT_DIR=<path>
#
# where <test-dirs> is something like '../<component>/test/runtime',
# <component> in turn being one of the top level directories (for
# example 'hotspot').
#
# The below will strip the path prefix and delegate to the
# corresponding ../<component>/test/Makefile.

ifneq ($(TESTDIRS),)
  # Extract the component from ../test/<component>/...
  TESTDIRS_NORM := $(patsubst test/%, %, $(patsubst ../%, %, $(TESTDIRS)))
  COMPONENT := $(word 1,$(subst /, ,$(TESTDIRS_NORM)))

  # Strip off the ../<component>/test prefix and pass the rest as TESTDIRS
  # to the delegate Makefile
  # The hotspot tests are in a subdir "java". Accept paths both including
  # and excluding this extra subdir
  TESTDIRS_TESTS := $(patsubst $(COMPONENT)/%,%,$(patsubst hotspot/jtreg/%,%, \
      $(patsubst ../%, %, $(TESTDIRS_NORM))))
endif

jtreg_tests:
	$(MAKE) --no-print-directory TESTDIRS=$(TESTDIRS_TESTS) \
	    $(COMPONENT)_jtreg_tests

################################################################

# Phony targets (e.g. these are not filenames)
.PHONY: all clean

################################################################

=== debian/changelog ===
openjdk-lts (11.0.23+9-1ubuntu1~20.04.2) focal-security; urgency=medium

  * Modify the previous changelog entry:
       remove an invalid entry from the CVE list.

 -- Pushkar Kulkarni <pushkar.kulkarni@canonical.com>  Wed, 29 May 2024 17:23:32 +0530

openjdk-lts (11.0.23+9-1ubuntu1~20.04.1) focal-security; urgency=high

  * OpenJDK 11.0.23 release, build 9.

    * CVEs
    - CVE-2024-21011, 8319851: Improve exception logging.
    - CVE-2024-21068, 8322122: Enhance generation of addresses.
    - CVE-2024-21012, 8315708: Enhance HTTP/2 client usage.
    - CVE-2024-21094, 8317507: Already fixed in November 2023:
      C2 compilation fails with "Exceeded _node_regs array".
    - CVE-2024-21085, 8322114: Improve Pack 200 handling.

    * Security fixes
    - JDK-8315708: Enhance HTTP/2 client usage
    - JDK-8317507, JDK-8325348: C2 compilation fails with "Exceeded _node_regs array"
    - JDK-8318340: Improve RSA key implementations
    - JDK-8319851: Improve exception logging
    - JDK-8322114: Improve Pack 200 handling
    - JDK-8322122: Enhance generation of addresses

  [ Pushkar Kulkarni ]
  * Use 64-bit clock_* function on archs like armhf.
  * Upload to Ubuntu 20.04
  * d/rules, d/control: Use gcc-10 to work around LP: #2044899

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Apr 2024 16:23:29 +0200

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,11 @@
   m4, lsb-release, zip, unzip,
   sharutils, gawk, cpio, pkg-config, procps, wdiff, fastjar (>= 2:0.96-0ubuntu2),
   time, strip-nondeterminism,
-  jtreg6 (>= 6+1-0~) <!nocheck>, libtestng7-java <!nocheck>, xvfb <!nocheck>, xauth <!nocheck>, xfonts-base <!nocheck>, libgl1-mesa-dri [!x32] <!nocheck>, xfwm4 <!nocheck>, x11-xkb-utils <!nocheck>, dbus-x11 <!nocheck>, libasmtools-java <!nocheck>, googletest <!nocheck>, google-mock <!nocheck>, xvfb  <!nocheck>,
+  file,
   autoconf, automake, autotools-dev, ant, ant-optional,
   g++-10 <!cross>,
   openjdk-11-jdk-headless:native | openjdk-10-jdk-headless:native,
-  libxtst-dev, libxi-dev, libxt-dev, libxaw7-dev, libxrender-dev, libcups2-dev, libasound2-dev, liblcms2-dev, libfreetype6-dev (>= 2.2.1), libxinerama-dev, libkrb5-dev, xsltproc, libpcsclite-dev, libxrandr-dev, libelf-dev, libfontconfig1-dev, libgtk2.0-0 | libgtk-3-0, libharfbuzz-dev,
+  libxtst-dev, libxi-dev, libxt-dev, libxaw7-dev, libxrender-dev, libcups2-dev, libasound2-dev, liblcms2-dev, libxinerama-dev, libkrb5-dev, xsltproc, libpcsclite-dev, libxrandr-dev, libelf-dev, libfontconfig1-dev, libfreetype-dev, libharfbuzz-dev,
   libffi-dev,
   zlib1g-dev:native, zlib1g-dev, libattr1-dev, libpng-dev, libjpeg-dev, libgif-dev,
   libnss3-dev (>= 2:3.17.1),
@@ -25,7 +25,7 @@
 Vcs-Git: https://git.launchpad.net/~openjdk/ubuntu/+source/openjdk/+git/openjdk -b openjdk-lts/ubuntu/hirsute
 
 Package: openjdk-11-jdk-headless
-Architecture: alpha amd64 armel armhf arm64 i386 ia64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32
+Architecture: alpha amd64 armel armhf arm64 i386 ia64 loong64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32
 Multi-Arch: same
 Pre-Depends: ${dpkg:Depends}
 Depends: openjdk-11-jre-headless (= ${binary:Version}),
@@ -43,14 +43,15 @@
  applets, and components using the Java programming language.
 
 Package: openjdk-11-jre-headless
-Architecture: alpha amd64 armel armhf arm64 i386 ia64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32
+Architecture: alpha amd64 armel armhf arm64 i386 ia64 loong64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32
 Multi-Arch: same
 Pre-Depends: ${dpkg:Depends}
 Depends: ${jredefault:Depends}, ${cacert:Depends},
   ${jcommon:Depends}, ${dlopenhl:Depends},
   ${mountpoint:Depends},
   ${shlibs:Depends}, ${misc:Depends}
-Recommends: ${dlopenhl:Recommends}
+Recommends: ${dlopenhl:Recommends},
+  ${fontmanager:Recommends}, ${jsound:Recommends}
 Suggests: libnss-mdns,
   fonts-dejavu-extra,
   fonts-ipafont-gothic, fonts-ipafont-mincho, fonts-wqy-microhei | fonts-wqy-zenhei, fonts-indic,
@@ -68,7 +69,7 @@
  using ${vm:Name}.
 
 Package: openjdk-11-jdk
-Architecture: alpha amd64 armel armhf arm64 i386 ia64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32
+Architecture: alpha amd64 armel armhf arm64 i386 ia64 loong64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32
 Multi-Arch: same
 Pre-Depends: ${dpkg:Depends}
 Depends: openjdk-11-jre (= ${binary:Version}),
@@ -86,11 +87,11 @@
  applets, and components using the Java programming language.
 
 Package: openjdk-11-jre
-Architecture: alpha amd64 armel armhf arm64 i386 ia64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32
+Architecture: alpha amd64 armel armhf arm64 i386 ia64 loong64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32
 Multi-Arch: same
 Pre-Depends: ${dpkg:Depends}
 Depends: openjdk-11-jre-headless (= ${binary:Version}),
-  ${xandsound:Depends}, ${dlopenjre:Depends},
+  ${dlopenjre:Depends}, ${fontmanager:Depends}, ${jsound:Depends},
   ${shlibs:Depends}, ${misc:Depends}
 Recommends: ${dlopenjre:Recommends}, ${bridge:Recommends}, fonts-dejavu-extra
 Provides: java-runtime (= ${vm:Version}), java2-runtime,
@@ -105,7 +106,7 @@
  programs, using ${vm:Name}.
 
 Package: openjdk-11-demo
-Architecture: alpha amd64 armel armhf arm64 i386 ia64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32
+Architecture: alpha amd64 armel armhf arm64 i386 ia64 loong64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32
 Priority: optional
 Pre-Depends: ${dpkg:Depends}
 Depends: openjdk-11-jre (= ${binary:Version}),
@@ -142,7 +143,7 @@
  This package contains the API documentation.
 
 Package: openjdk-11-dbg
-Architecture: alpha amd64 armel armhf arm64 i386 ia64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32
+Architecture: alpha amd64 armel armhf arm64 i386 ia64 loong64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32
 Multi-Arch: same
 Priority: optional
 Section: debug

=== debian/rules ===
--- 
+++ 
@@ -169,11 +169,11 @@
 ifneq (,$(filter $(distrel), precise trusty))
   with_docs =
 endif
-# with_check = disabled for this upload
+with_check = disabled for this upload
 
 with_wqy_zenhai = $(if $(filter $(distrel),lenny),,yes)
 
-arch_map	:= alpha=alpha arm=arm armel=arm armhf=arm arm64=aarch64 amd64=amd64 hppa=parisc i386=i586 m68k=m68k mips=mips mipsel=mipsel mips64=mips64 mips64el=mips64el powerpc=ppc powerpcspe=ppc ppc64=ppc64 ppc64el=ppc64le riscv64=riscv64 sparc=sparc sparc64=sparcv9 sh4=sh s390x=s390x ia64=ia64 x32=x32
+arch_map	:= alpha=alpha arm=arm armel=arm armhf=arm arm64=aarch64 amd64=amd64 hppa=parisc i386=i586 loong64=loongarch64 m68k=m68k mips=mips mipsel=mipsel mips64=mips64 mips64el=mips64el powerpc=ppc powerpcspe=ppc ppc64=ppc64 ppc64el=ppc64le riscv64=riscv64 sparc=sparc sparc64=sparcv9 sh4=sh s390x=s390x ia64=ia64 x32=x32
 
 jvmarch		:= $(strip $(patsubst $(DEB_HOST_ARCH_CPU)=%, %, \
 			$(filter $(DEB_HOST_ARCH_CPU)=%, $(arch_map))))
@@ -183,7 +183,7 @@
 
 default_vm = $(if $(filter $(DEB_HOST_ARCH), $(hotspot_archs)),hotspot,zero)
 
-any_archs = alpha amd64 armel armhf arm64 i386 ia64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32
+any_archs = alpha amd64 armel armhf arm64 i386 ia64 loong64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32
 
 altzero_archs = $(hotspot_archs)
 ifneq (,$(filter $(distrel),trusty))

## openjdk-lts 11.0.24~6ea

=== debian/changelog ===
openjdk-lts (11.0.24~6ea-1ubuntu2) oracular; urgency=medium

  * d/rules: include /usr/share/dpkg/buildflags.mk to avoid configure
    failure due to the undefined variables.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Wed, 26 Jun 2024 08:34:02 +1200

openjdk-lts (11.0.24~6ea-1ubuntu1) oracular; urgency=medium

  * New upstream snapshot 11.0.24~6ea (LP: #2069917).
  * d/p/*: refresh patches.
  * d/rules, d/control: use jtreg7, enable jtreg.
  * d/JB-demo.overrides.in: add jar-contains-source override for
    SwingSet demo jar.
  * d/rules, d/copyright-generator/copyright-gen.py, d/copyright:
    exclude test/jdk/sun/management/windows/revokeall.exe from orig
    tarball, format d/copyright-generator/copyright-gen.py.
  * d/p/8307977-proposed.diff: rename to jdk-8307977-proposed.patch.
  * d/p/jdk-8334502.patch: fix iso8601_utctime armhf function.
  * d/p/jtreg-location.diff: drop patch as it is no longer needed for
    jtreg7.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Thu, 20 Jun 2024 10:30:43 +1200

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
 Build-Depends: debhelper (>= 11),
   m4, lsb-release, zip, unzip,
   sharutils, gawk, cpio, pkg-config, procps, wdiff, fastjar (>= 2:0.96-0ubuntu2),
-  time, strip-nondeterminism,
-  file,
+  time, strip-nondeterminism, debugedit (>= 4.16),
+  jtreg7 <!nocheck>, libtestng7-java <!nocheck>, xvfb <!nocheck>, xauth <!nocheck>, xfonts-base <!nocheck>, libgl1-mesa-dri [!x32] <!nocheck>, xfwm4 <!nocheck>, x11-xkb-utils <!nocheck>, dbus-x11 <!nocheck>, libasmtools-java <!nocheck>, googletest <!nocheck>, google-mock <!nocheck>, xvfb  <!nocheck>,
   autoconf, automake, autotools-dev, ant, ant-optional,
-  g++-10 <!cross>,
+  g++-13 <!cross>,
   openjdk-11-jdk-headless:native | openjdk-10-jdk-headless:native,
-  libxtst-dev, libxi-dev, libxt-dev, libxaw7-dev, libxrender-dev, libcups2-dev, libasound2-dev, liblcms2-dev, libxinerama-dev, libkrb5-dev, xsltproc, libpcsclite-dev, libxrandr-dev, libelf-dev, libfontconfig1-dev, libfreetype-dev, libharfbuzz-dev,
+  libxtst-dev, libxi-dev, libxt-dev, libxaw7-dev, libxrender-dev, libcups2-dev, libasound2-dev, liblcms2-dev, libxinerama-dev, libkrb5-dev, xsltproc, libpcsclite-dev, libxrandr-dev, libelf-dev, libfontconfig-dev, libfreetype-dev, libharfbuzz-dev,
   libffi-dev,
   zlib1g-dev:native, zlib1g-dev, libattr1-dev, libpng-dev, libjpeg-dev, libgif-dev,
   libnss3-dev (>= 2:3.17.1),

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+include /usr/share/dpkg/buildflags.mk
 
 unexport LANG LC_ALL
 
@@ -77,7 +78,7 @@
   is_default = yes
 endif
 
-is_upstream_release = yes
+is_upstream_release = no
 
 srcdir		= .
 builddir	= build
@@ -152,7 +153,7 @@
   NJOBS = $(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
 endif
 
-jtreg_pkg = jtreg6
+jtreg_pkg = jtreg7
 testng_pkg= libtestng7-java
 
 with_check = $(if $(findstring nocheck, $(DEB_BUILD_OPTIONS)),,yes)
@@ -169,7 +170,7 @@
 ifneq (,$(filter $(distrel), precise trusty))
   with_docs =
 endif
-with_check = disabled for this upload
+#with_check = disabled for this upload
 
 with_wqy_zenhai = $(if $(filter $(distrel),lenny),,yes)

## openjdk-lts 11.0.24+8

=== debian/changelog ===
openjdk-lts (11.0.24+8-1ubuntu3~24.04.1) noble-security; urgency=medium

  * Upload to Ubuntu 24.04.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Tue, 23 Jul 2024 18:15:02 +1200

openjdk-lts (11.0.24+8-1ubuntu3) oracular; urgency=medium

  * OpenJDK 11.0.24 release, build 8. Release notes:
    https://mail.openjdk.org/pipermail/jdk-updates-dev/2024-July/035797.html
    - CVEs
      + CVE-2024-21147: 8323231, RangeCheckElimination array index overflow.
      + CVE-2024-21145: 8324559, Out-of-bounds access in 2D image handling.
      + CVE-2024-21140: 8320548, Range Check Elimination (RCE) pre-loop limit
        overflow.
      + CVE-2024-21144: 8322106, Pack200 increase loading time due to improper
        header validation.
      + CVE-2024-21131: 8314794, potential UTF8 size overflow.
      + CVE-2024-21138: 8319859, Excessive symbol length can lead to infinite loop.
    - Security fixes
      + JDK-8303466: C2: failed: malformed control flow.
        Limit type made precise with MaxL/MinL.
      + JDK-8314794: Improve UTF8 String supports.
      + JDK-8319859: Better symbol storage.
      + JDK-8320097: Improve Image transformations.
      + JDK-8320548: Improved loop handling.
      + JDK-8322106: Enhance Pack 200 loading.
      + JDK-8323231: Improve array management.
      + JDK-8323390: Enhance mask blit functionality.
      + JDK-8324559: Improve 2D image handling.
      + JDK-8325600: Better symbol storage.
      + JDK-8327413: Enhance compilation efficiency.
  * No-Change upload to include OpenJDK bugs related to CVEs.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Mon, 22 Jul 2024 08:41:26 +1200

openjdk-lts (11.0.24+8-1ubuntu2) oracular; urgency=medium

  * OpenJDK 11.0.24 release, build 8. Release notes:
    https://mail.openjdk.org/pipermail/jdk-updates-dev/2024-July/035797.html
    + CVEs
      - CVE-2024-21147
      - CVE-2024-21145
      - CVE-2024-21140
      - CVE-2024-21144
      - CVE-2024-21131
      - CVE-2024-21138
    + Security fixes
      - JDK-8303466: C2: failed: malformed control flow.
        Limit type made precise with MaxL/MinL.
      - JDK-8314794: Improve UTF8 String supports.
      - JDK-8319859: Better symbol storage.
      - JDK-8320097: Improve Image transformations.
      - JDK-8320548: Improved loop handling.
      - JDK-8322106: Enhance Pack 200 loading.
      - JDK-8323231: Improve array management.
      - JDK-8323390: Enhance mask blit functionality.
      - JDK-8324559: Improve 2D image handling.
      - JDK-8325600: Better symbol storage.
      - JDK-8327413: Enhance compilation efficiency.
  * No-Change upload to include upstream release notes.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Mon, 22 Jul 2024 08:17:12 +1200

openjdk-lts (11.0.24+8-1ubuntu1) oracular; urgency=medium

  * OpenJDK 11.0.24 release, build 8.
    - CVEs:
      + CVE-2024-21147
      + CVE-2024-21145
      + CVE-2024-21140
      + CVE-2024-21144
      + CVE-2024-21131
      + CVE-2024-21138
    - Security Fixes:
      + JDK-8281658: New Security Category for -XshowSettings Launcher
        Option.
      + JDK-8316138: Added GlobalSign R46 and E46 Root CA Certificates.
      + JDK-8256660: Disabled DTLS 1.0.
      + JDK-8326891: Native Executables and Libraries on Linux Use
        RPATH Instead of RUNPATH.
  * d/copyright: regenerate copyright.
  * d/rules, d/t/*: collate all excluded tests into d/problemlist.csv.
  * d/p/jdk-8336529-proposed.patch: fix time_t migration issue on armhf -
    openjdk is unable to set file last modified timestamp.
  * d/p/jdk-8334895-proposed.patch: refresh patch.
  * d/rules: enable upstream release.
  * d/rules: relax jtreg7 version condition for backports.
  * d/rules: use gcc-10 for focal to resolve riscv gcc crash.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Thu, 18 Jul 2024 19:36:07 +1200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
   m4, lsb-release, zip, unzip,
   sharutils, gawk, cpio, pkg-config, procps, wdiff, fastjar (>= 2:0.96-0ubuntu2),
   time, strip-nondeterminism, debugedit (>= 4.16),
-  jtreg7 <!nocheck>, libtestng7-java <!nocheck>, xvfb <!nocheck>, xauth <!nocheck>, xfonts-base <!nocheck>, libgl1-mesa-dri [!x32] <!nocheck>, xfwm4 <!nocheck>, x11-xkb-utils <!nocheck>, dbus-x11 <!nocheck>, libasmtools-java <!nocheck>, googletest <!nocheck>, google-mock <!nocheck>, xvfb  <!nocheck>,
+  jtreg7 (>= 7.3.1+1~) <!nocheck>, libtestng7-java <!nocheck>, xvfb <!nocheck>, xauth <!nocheck>, xfonts-base <!nocheck>, libgl1-mesa-dri [!x32] <!nocheck>, xfwm4 <!nocheck>, x11-xkb-utils <!nocheck>, dbus-x11 <!nocheck>, libasmtools-java <!nocheck>, googletest <!nocheck>, google-mock <!nocheck>, xvfb  <!nocheck>,
   autoconf, automake, autotools-dev, ant, ant-optional,
   g++-13 <!cross>,
   openjdk-11-jdk-headless:native | openjdk-10-jdk-headless:native,

=== debian/rules ===
--- 
+++ 
@@ -78,7 +78,7 @@
   is_default = yes
 endif
 
-is_upstream_release = no
+is_upstream_release = yes
 
 srcdir		= .
 builddir	= build
